<bugID>889427<Summary>[meta] ux revamp of multiprovider support</Summary><Description>Created attachment 770253
mockup of ux brainstorming

This bug tracks changes necessary for new UX around multiproviders.  The high level points on the changes are:

- Multiple provider buttons in toolbar
- all buttons are customizable/removable
- social bookmark buttons are individual to provider, multiple allowed
- share button/panel unchanged
- additional enabled providers show up in australis menu
- hamburger button is badgable with agregate notifications of providers in the menu
- still need to decide on actual ux around selecting the sidebar

More general or high level notes may appear here later.</Description></bugID>